org.richfaces.renderkit.html

## Class ClientOnlyScript

- java.lang.Object
- - org.ajax4jsf.javascript.ScriptStringBase
  - - org.ajax4jsf.javascript.JSFunctionDefinition
    - - org.richfaces.renderkit.html.ValidatorScriptBase
      - - org.richfaces.renderkit.html.ClientOnlyScript

- All Implemented Interfaces:
    FunctionDefWithDependencies, ScriptString, ScriptWithDependencies, ComponentValidatorScript, ResourceLibrary
  Direct Known Subclasses:
    ClientAndAjaxScript

      public class ClientOnlyScript
      extends ValidatorScriptBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected LibraryScriptFunction` | `converter`
    `static ResourceKey` | `CSV_RESOURCE`
    `protected String` | `oninvalid`
    `protected String` | `onvalid`
    `protected com.google.common.collect.ImmutableList<? extends LibraryScriptFunction>` | `validators`

    - ### Fields inherited from class org.richfaces.renderkit.html.ValidatorScriptBase

      `AJAX, AJAX_REF, CLIENT_ID, CLIENT_ID_REF, CONVERTER, CONVERTER_REF, CSV_NAMESPACE, DISABLE_AJAX, DISABLE_AJAX_REF, ELEMENT, ELEMENT_REF, EOL, EVENT, EVENT_REF, GET_VALUE_FUNCTION, MESSAGE, MESSAGE_REF, NULL_CONVERTER_SCRIPT, PARAMS, PARAMS_REF, SOURCE_ID, SOURCE_ID_REF, VALIDATE_FUNCTION, VALIDATE_FUNCTION_NAME, VALIDATORS, VALIDATORS_REF, VALUE_FUNCTION_NAME`

    - ### Fields inherited from class org.ajax4jsf.javascript.ScriptStringBase

      `COLON, COMMA, DOT, EMPTY_STRING, EQUALS, FUNCTION, LEFT_CURLY_BRACKET, LEFT_ROUND_BRACKET, LEFT_SQUARE_BRACKET, RIGHT_CURLY_BRACKET, RIGHT_ROUND_BRACKET, RIGHT_SQUARE_BRACKET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientOnlyScript(LibraryScriptFunction clientSideConverterScript, Collection<? extends LibraryScriptFunction> validatorScripts, String onvalid, String oninvalid)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `appendAjaxParameter(Appendable target)`
    `protected void` | `appendConverter(Appendable target, LibraryScriptFunction converter)`
    `void` | `appendFunctionName(Appendable target)`
    `protected void` | `appendParameters(Appendable target)`
    `protected void` | `appendValidator(Appendable target, LibraryScriptFunction validatorScript)`
    `boolean` | `equals(Object obj)`
    `Iterable<ResourceKey>` | `getResources()` Returns a list of resources contained in this resource library
    `int` | `hashCode()`

    - ### Methods inherited from class org.richfaces.renderkit.html.ValidatorScriptBase

      `appendAjaxFunction, appendAjaxParameter, appendBody, appendValidatorCall, createCallScript`

    - ### Methods inherited from class org.ajax4jsf.javascript.JSFunctionDefinition

      `addParameter, addToBody, appendScript, getName, setName`

    - ### Methods inherited from class org.ajax4jsf.javascript.ScriptStringBase

      `appendScriptToStringBuilder, toScript, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.javascript.FunctionDefWithDependencies

      `getName`

    - ### Methods inherited from interface org.ajax4jsf.javascript.ScriptString

      `appendScript, appendScriptToStringBuilder, toScript`

- - ### Field Detail

    - #### CSV_RESOURCE

          public static final ResourceKey CSV_RESOURCE

    - #### converter

          protected final LibraryScriptFunction converter

    - #### validators

          protected final com.google.common.collect.ImmutableList<? extends LibraryScriptFunction> validators

    - #### onvalid

          protected final String onvalid

    - #### oninvalid

          protected final String oninvalid

  - ### Constructor Detail

    - #### ClientOnlyScript

          public ClientOnlyScript(LibraryScriptFunction clientSideConverterScript,
                          Collection<? extends LibraryScriptFunction> validatorScripts,
                          String onvalid,
                          String oninvalid)

  - ### Method Detail

    - #### getResources

          public Iterable<ResourceKey> getResources()

      Description copied from interface: `ResourceLibrary`

      Returns a list of resources contained in this resource library

      The result does not have to be stable; i.e. the returned list of resources may differ for each execution based on context, configuration, time, etc.

    - #### appendFunctionName

          public void appendFunctionName(Appendable target)
                                  throws IOException

      Overrides:
        `appendFunctionName` in class `JSFunctionDefinition`
      Throws:
        `IOException`

    - #### appendParameters

          protected void appendParameters(Appendable target)
                                   throws IOException

      Overrides:
        `appendParameters` in class `ValidatorScriptBase`
      Throws:
        `IOException`

    - #### appendValidator

          protected void appendValidator(Appendable target,
                             LibraryScriptFunction validatorScript)
                                  throws IOException

      Throws:
        `IOException`

    - #### appendConverter

          protected void appendConverter(Appendable target,
                             LibraryScriptFunction converter)
                                  throws IOException

      Throws:
        `IOException`

    - #### appendAjaxParameter

          protected void appendAjaxParameter(Appendable target)
                                      throws IOException

      Throws:
        `IOException`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.